Bug 596981 - one minute delay from "Found installation media" to "running anaconda"
Summary: one minute delay from "Found installation media" to "running anaconda"
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 14
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-27 20:52 UTC by John Reiser
Modified: 2010-07-31 15:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-31 15:42:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Reiser 2010-05-27 20:52:16 UTC
Description of problem: At the beginning of a fresh install from DVD, it takes almost one minute to get from "Found installation media" to "running anaconda 14.6", and another 20 seconds before X11 starts.  The total delay of around 80 seconds is too slow by a factor of ten.  During this time the VGA screen shows a plain blue background with some navigation text on the top and bottom lines.

The activity light on the DVD drive is on (indicating active operation) 99% of the time.  There are no sounds of frequent seeking.  It is a 4X DVD+RW and can deliver 5MB/second.  What requires 300MB of data at this stage?


Version-Release number of selected component (if applicable):
anaconda-14.6

How reproducible: every time


Steps to Reproduce:
1. Compose install DVD from rawhide using pungi; burn to DVD+RW.
2. Boot DVD for fresh install; Skip media check
3. wait
  
Actual results: About 55 to 58 seconds after Skip media check, from "Found installation media" to "running anaconda 14.6".  Another 20 seconds until the screen shows X11 starting.


Expected results:  No more than 6 or 7 seconds from "Found installation media" to "running anaconda".


Additional info:

Comment 1 Chris Lumens 2010-05-27 21:01:02 UTC
What's /tmp/syslog say?  Are you getting a lot of read errors?

Comment 2 John Reiser 2010-05-27 22:44:35 UTC
/tmp/syslog is unavailable because the system hangs/crashes at start of X11: bug 
596985.  VT2 has no shell: too early.

"dd if=/dev/sr0 bs=32k count=10000 of=/dev/null" says 330MB in 106 seconds (3.5 MB/s) with no errors in /var/log/messages, when run on an already-installed F14 rawhide on the same box.  Media Check also passes when run during another boot on the same box.  Drive is Optiarc AD-7240S about 8 months old, lightly used, and is the drive that burned the DVD in the first place, earlier today.

Comment 3 Chris Lumens 2010-06-02 19:10:39 UTC
Well, you could always try starting up a text install, seeing if you get the same long delay, and then grabbing the information if so.  Or you could try the same thing with a serial console install, or a VNC install.  anaconda supports syslog=.  There's plenty of ways to get information.

Comment 4 John Reiser 2010-06-02 20:37:57 UTC
Running a text install (append " text" to the end of the kernel boot command line), then there is no file whose pathname matches /tmp/*syslog*.  Perhaps you mean /var/log/messages?  That is the filename which appears in "ls -l /proc/$(< /var/run/syslogd.pid)/fd".  Anyway there aren't any I/O errors listed in /var/log/messages.

What is the complete syntax that is implied by "anaconda supports syslog="?  What other pieces must be available (such as a path through a firewall on another machine?), and how is that setup?

Comment 5 Chris Lumens 2010-07-26 19:58:55 UTC
> What is the complete syntax that is implied by "anaconda supports syslog="? 
> What other pieces must be available (such as a path through a firewall on
> another machine?), and how is that setup?    

http://fedoraproject.org/wiki/Anaconda/Logging

Comment 6 Bug Zapper 2010-07-30 11:44:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 John Reiser 2010-07-31 14:32:02 UTC
(In reply to comment #5)
> http://fedoraproject.org/wiki/Anaconda/Logging    

Some of the info on that page does not work.  In particular, there is no file 'analog' anywhere in anaconda-13.42-1, which is the current shipping release.  Thus it is problematic to construct the syslog configuration.

Comment 8 John Reiser 2010-07-31 15:42:24 UTC
Found a system with anaconda-14.12 that could run the 'analog' script to generate the syslogd configuration, and transfered the configuration file to the logging machine, and started the logger, and appended " syslog=<ip4>:<port>" to the kernel boot command line.

There are no suspicious messages in syslog, but the one-minute delay no longer appears, either.


Note You need to log in before you can comment on or make changes to this bug.